--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: []

comment: 
- !ruby/struct:SM::Flow::P 
  body: A CoreBotModule is a BotModule that provides core functionality.
- !ruby/struct:SM::Flow::P 
  body: This class should not be used by user plugins, as it's reserved for system plugins such as the ones that handle authentication, configuration and basic functionality.
constants: []

full_name: Irc::Bot::Plugins::CoreBotModule
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: botmodule_class
name: CoreBotModule
superclass: BotModule
